# Class Note

java.lang.Object
com.independentsoft.pst.Item
com.independentsoft.pst.Note

public class Note extends Item
The Class Note.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NoteColor`
  `getColor()`
  Gets the color.
  `long`
  `getHeight()`
  Gets the height.
  `long`
  `getLeft()`
  Gets the left.
  `long`
  `getTop()`
  Gets the top.
  `long`
  `getWidth()`
  Gets the width.

  ### Methods inherited from class com.independentsoft.pst.Item

  `getAttachments, getBillingInformation, getBody, getBodyHtml, getBodyHtmlText, getBodyRtf, getCategories, getClientSubmitTime, getCodePage, getConversationIndex, getConversationTopic, getCreationTime, getCreatorName, getDisableFullFidelity, getDisplayBcc, getDisplayCc, getDisplayTo, getEncoding, getEntryId, getExtendedProperties, getFlagIcon, getFlagStatus, getIconIndex, getId, getImportance, getInReplyTo, getInternetCodePage, getInternetMessageId, getInternetReferences, getKeywords, getLastModificationTime, getLastModifierName, getLastVerbExecuted, getLastVerbExecutionTime, getMessageClass, getMessageDeliveryTime, getMessageFile, getMessageFile, getMessageFlags, getMileage, getNormalizedSubject, getObjectType, getOriginalDisplayTo, getOutlookInternalVersion, getOutlookVersion, getParentId, getPriority, getProviderSubmitTime, getReceivedByAddressType, getReceivedByEmailAddress, getReceivedByEntryId, getReceivedByName, getReceivedBySearchKey, getReceivedRepresentingAddressType, getReceivedRepresentingEmailAddress, getReceivedRepresentingEntryId, getReceivedRepresentingName, getReceivedRepresentingSearchKey, getRecipients, getReplyTo, getReportText, getReportTime, getRtfCompressed, getRtfInSync, getSearchKey, getSenderAddressType, getSenderEmailAddress, getSenderEntryId, getSenderName, getSenderSearchKey, getSensitivity, getSentRepresentingAddressType, getSentRepresentingEmailAddress, getSentRepresentingEntryId, getSentRepresentingName, getSentRepresentingSearchKey, getSize, getSubject, getSubjectPrefix, getTable, getTransportMessageHeaders, hasAttachment, isEmbedded, isHidden, isReadOnly, isSystem, save, save, save, save, save, save`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getHeight

    public long getHeight()
    Gets the height.
    Returns:
      the height

  - ### getWidth

    public long getWidth()
    Gets the width.
    Returns:
      the width

  - ### getTop

    public long getTop()
    Gets the top.
    Returns:
      the top

  - ### getLeft

    public long getLeft()
    Gets the left.
    Returns:
      the left

  - ### getColor

    public NoteColor getColor()
    Gets the color.
    Returns:
      the color